/* itg.cpp
 *
 * $Id: itg.cpp,v 1.26 2008/05/20 15:06:45 gildea Exp $
 */

#include <stdio.h>
#include <stdlib.h>
#include <string>
#include <math.h>
#include <iostream>
#include <sys/time.h>
#include <cassert>

#include "array.h"
#include "globals.h"
#include "itgtrain.h"
#include "itgparse.h"

using namespace std;

FILE *logfile;

NGram* ngram;

Vocab l1vocab;
Vocab l2vocab;

/* GLOBAL CONSTANTS, SET IN main() */
double LMWEIGHT;
double LOGRATIOBEAM;
int MAXKBUFSIZE;

FeatureList weights;

/** ITG::readin(ITGCorp)
 *
 * Default implementation for parsing and training.
 */
int ITG::readin(ITGCorp *corp) {
  //the index into the target word sequence
  return corp->retrieve(&en, &T, MAXT, &cn, &V, MAXV);
}
